1

I've just installed CiviCRM on a Joomla 3.5.1 site to learn how to use it. I am seeing an issue that I have a question about.

As long as I use Php 5.6 the installation works properly. If I try to use Php 7 everything on the Joomla site works except Civicrm. From the backend if I select Civicrm I get this error: Call to undefined function dl()

As soon as I go back to Php5.x all is well. The database is using utf8mb4_general_ci collation and mysqli.

Is there anything that needs to be done to use Php7 that I haven't found?

Thank you.

2

I learned that php7 is not supported yet.

https://wiki.civicrm.org/confluence/display/CRMDOC/CiviCRM+PHP+Requirements

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.